{
	name: "Eject Pack",
	spritenum: 714,
	fling: {
	  basePower: 50
	},
	onAfterBoost(boost, target, source, effect) {
	  if (this.activeMove?.id === "partingshot")
	    return;
	  let eject = false;
	  let i;
	  for (i in boost) {
	    if (boost[i] < 0) {
	      eject = true;
	    }
	  }
	  if (eject) {
	    if (target.hp) {
	      if (!this.canSwitch(target.side))
	        return;
	      if (target.volatiles["commanding"] || target.volatiles["commanded"])
	        return;
	      for (const pokemon of this.getAllActive()) {
	        if (pokemon.switchFlag === true)
	          return;
	      }
	      if (target.useItem())
	        target.switchFlag = true;
	    }
	  }
	},
	num: 1119,
	gen: 8
}